"use strict";
exports.__esModule = true;
var React = require("react");
var glamorous_1 = require("glamorous");
var colors_1 = require("../../../theme/colors");
var FootNote = glamorous_1["default"].div({
    display: 'block',
    width: '100%',
    height: 'auto',
    position: 'absolute',
    paddingBottom: '3mm',
    bottom: '0',
    fontSize: '9px',
    pageBreakAfter: 'always',
    pageBreakInside: 'avoid'
});
var getDate = function () {
    var date = new Date();
    return date.getFullYear() + "-" + (date.getMonth() + 1) + "-" + date.getDate();
};
exports["default"] = function (props) {
    return (React.createElement(FootNote, null,
        React.createElement(glamorous_1.Span, { color: colors_1.red },
            props.text,
            ' ',
            "|"),
        React.createElement("span", null,
            "Version ",
            getDate())));
};
